DELETE V1/Projects.{ext}/DeleteProjectApprover

Delete Project Approvers Details Mandatory Fields: ApproverId and ProjectId are mandatory

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Projects.Entities.ProjectApprover
NameDescriptionTypeAdditional information
ApproverId

No description available

integer

None.

ApproverName

No description available

string

None.

ApprovedDate

No description available

string

None.

ProjectId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "approverId": 1,
  "approverName": "sample string 2",
  "approvedDate": "sample string 3",
  "projectId": 4
}

application/xml, text/xml

Sample:
<ProjectApprover xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Projects.Entities">
  <ApprovedDate>sample string 3</ApprovedDate>
  <ApproverId>1</ApproverId>
  <ApproverName>sample string 2</ApproverName>
  <ProjectId>4</ProjectId>
</ProjectApprover>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.